package com.example.what_the_fantasy

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import com.example.what_the_fantasy.model.Quote
import com.example.what_the_fantasy.model.SrcType
import com.example.what_the_fantasy.ui.theme.What_The_FantasyTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            What_The_FantasyTheme {
                Column {
                    Scaffold(modifier = Modifier.fillMaxSize()) { innerPadding ->
                        Title(
                            title = "What The Fantasy",
                            modifier = Modifier.padding(innerPadding)
                        )
                        Quote(
                            q = Quote(1,"Test n°1","test","null","test",100,"fr",SrcType.Movie)
                        )
                    }
                }
            }
        }
    }
}

@Composable
fun Title(title: String, modifier: Modifier = Modifier) {
    Text(
        text = "Welcome to $title!",
        modifier = modifier
    )
}

@Composable
fun Quote(q: Quote){
    Column {
        Text(
            text = q.id.toString()
        )
        Text(
            text = q.content
        )
    }
}

@Preview(showBackground = true)
@Composable
fun GreetingPreview() {
    What_The_FantasyTheme {
        Title("What the fantasy")
    }
}